<template>
  <!-- TODO: find a way to remove --active to prevent highlight on new analysis -->
  <v-list-item @click="emitResetSync">
    <v-list-item-icon> <v-icon>mdi-undo</v-icon></v-list-item-icon>
    <v-list-item-content>
      <v-list-item-title>
        {{ $t('button.reset-sync') }}
      </v-list-item-title>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import {
  Vue, Component,
} from 'vue-property-decorator';

/**
 * Double purpose button, used to replace current analysis,
 * or open a new tab with an empty analysis
 */
@Component
export default class ResetSyncButton extends Vue {
  emitResetSync() {
    this.$emit('reset-unit');
  }
}
</script>
